Imports EDSL.Entities
Imports EDSL.DAL
Partial Public Class sitemap
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Dim objProducts As New dbMainProduct
        Dim productsSmall As New List(Of entMainProduct)
        Dim productsMedium As New List(Of entMainProduct)
        productsSmall = objProducts.GetAllByCategoryID(2)
        productsMedium = objProducts.GetAllByCategoryID(3)
        rptProductsMedium.DataSource = productsMedium
        rptProductsSmall.DataSource = productsSmall
        rptProductsMedium.DataBind()
        rptProductsSmall.DataBind()
    End Sub
    Public Function CleanUrlRewriter(ByVal strInput As String) As String
        Dim strOutput As String = ""
        Dim func As New miscFunctions
        strOutput = func.CleanUrlString(strInput)

        Return strOutput
    End Function
End Class